Bug 1011041 - Review Request: python3-py3dns - Python3 DNS library
Review Request: python3-py3dns - Python3 DNS library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1010829
  Show dependency treegraph
 
Reported: 2013-09-23 10:13 EDT by Ralph Bean
Modified: 2013-11-09 02:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-09 02:57:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-09-23 10:13:32 EDT
Spec URL: http://ralph.fedorapeople.org//python3-py3dns.spec
SRPM URL: http://ralph.fedorapeople.org//python3-py3dns-3.0.4-1.fc19.src.rpm

Description:
Python3 DNS library
Comment 1 Ralph Bean 2013-09-23 10:13:38 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5971634
Comment 2 Christopher Meng 2013-09-23 19:31:22 EDT
1. It would be better to use "https://launchpad.net/py3dns/" as URL tag.

2. Missing BuildRequires:      python3-setuptools

3. %description needs work, after looking into lp homepage, you should change:

 This Python 3 module provides an DNS API for looking up DNS entries from
 within Python 3 modules and applications. This module is a simple,
 lightweight implementation.

4. fedora-review passed.

PACKAGE APPROVED.

CHANGE 1-3 MENTIONED ABOVE BEFORE IMPORT.
Comment 3 Ralph Bean 2013-09-23 19:50:57 EDT
Thanks Christopher.

I will fix #1 and #3.

#2 I think is not actually correct -- py3dns is one of the few python packages that doesn't actually require setuptools.

Can you also set the fedora-review flag to "+"?
Comment 4 Christopher Meng 2013-09-23 20:01:41 EDT
(In reply to Ralph Bean from comment #3)
> Thanks Christopher.
> 
> I will fix #1 and #3.
> 
> #2 I think is not actually correct -- py3dns is one of the few python
> packages that doesn't actually require setuptools.
> 
> Can you also set the fedora-review flag to "+"?

Why it doesn't need it...?
Comment 5 Ralph Bean 2013-09-23 22:47:07 EDT
Ah, look in the setup.py file of the project.  Most python packages use "from setuptools import setup" to declare their package.  setuptools is third party and so must be included as a separate package.

py3dns uses "from distutils.core import setup".  distutils is in the python standard library and so requires no external package.
Comment 6 Ralph Bean 2013-09-23 22:47:52 EDT
New Package SCM Request
=======================
Package Name: python3-py3dns
Short Description: Python3 DNS library
Owners: ralph
Branches: f20 f19 f18 el6
InitialCC:
Comment 7 Gwyn Ciesla 2013-09-24 08:24:28 EDT
Git done (by process-git-requests).
Comment 8 Ralph Bean 2013-09-24 17:33:56 EDT
Submitted to testing:  https://admin.fedoraproject.org/updates/python3-py3dns
Comment 9 Christopher Meng 2013-11-09 02:57:19 EST
Hmm...not sure why I didn't understand in comment 4, I will keep clearheaded from now on...

Note You need to log in before you can comment on or make changes to this bug.